Bug 115542 - (TB38693268) maindialog.py:270:changed:AttributeError: mainDialog
maindialog.py:270:changed:AttributeError: mainDialog
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-13 08:32 EST by grammarsoft
Modified: 2007-04-18 13:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-04 16:31:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description grammarsoft 2004-02-13 08:32:31 EST
Description of problem:

Using KDE as desktop environment
Unable to activate ethernet device using network configuration gui.
when launching the interface an unhandled exception error is produced
crashing the interface and then exiting.


Version-Release number of selected component (if applicable):


How reproducible:
Always, when launching the network configuration tool via KDE menu, or
launching via shell command "redhat-config-network"

Steps to Reproduce:
1. Launch Network from KDE menu
2. Launch redhat-config-network from shell
3.
  
Actual results: Activate eth0 via network config


Expected results:


Additional info:
Comment 1 grammarsoft 2004-02-13 08:35:12 EST
Created attachment 97643 [details]
Bug log created after crash of network config
Comment 2 Harald Hoyer 2004-09-21 08:14:58 EDT
Component: redhat-config-network
Version: 1.2.0
Summary: TB38693268 maindialog.py:270:changed:AttributeError: mainDialog
 instance has no attribute 'active_profile_name'
Traceback (most recent call last):
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py",
 line 1003, in on_hostnameEntry_changed
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py",
 line 335, in checkApply
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py",
 line 270, in changed
AttributeError: mainDialog instance has no attribute 'active_profile_name'

Comment 3 Harald Hoyer 2004-09-21 08:22:32 EDT
change in /etc/sysconfig/network:
CURRENT_PROFILE=default

and all should be ok.
Comment 4 Bill Nottingham 2006-08-04 16:31:54 EDT
Red Hat Linux and Red Hat Powertools are currently no longer supported by Red
Hat, Inc. In an effort to clean up bugzilla, we are closing all bugs in MODIFIED
state for these products.

However, we do want to make sure that nothing important slips through the
cracks. If, in fact, these issues are not resolved in a current Fedora Core
Release (such as Fedora Core 5), please open a new issues stating so. Thanks.

Note You need to log in before you can comment on or make changes to this bug.